Vincent Sima пре 6 година
родитељ
комит
bb805773ae
37 измењених фајлова са 3142 додато и 0 уклоњено
  1. BIN
      .DS_Store
  2. 109
    0
      0.1.iml
  3. 2192
    0
      application.log
  4. 225
    0
      mvnw
  5. 143
    0
      mvnw.cmd
  6. 74
    0
      pom.xml
  7. BIN
      src/.DS_Store
  8. BIN
      src/main/.DS_Store
  9. BIN
      src/main/java/.DS_Store
  10. BIN
      src/main/java/com/.DS_Store
  11. BIN
      src/main/java/com/buecoin01/.DS_Store
  12. 15
    0
      src/main/java/com/buecoin01/Application.java
  13. 43
    0
      src/main/java/com/buecoin01/ProcessLoader.java
  14. 11
    0
      src/main/java/com/buecoin01/Repositories/BlockRepository.java
  15. 12
    0
      src/main/java/com/buecoin01/Repositories/CoinRepository.java
  16. 10
    0
      src/main/java/com/buecoin01/Repositories/WalletRepository.java
  17. 75
    0
      src/main/java/com/buecoin01/model/Block.java
  18. 59
    0
      src/main/java/com/buecoin01/model/Blockchain.java
  19. 34
    0
      src/main/java/com/buecoin01/model/Coin.java
  20. 51
    0
      src/main/java/com/buecoin01/model/Wallet.java
  21. 17
    0
      src/main/java/com/buecoin01/utility/Encryption.java
  22. 34
    0
      src/main/java/com/buecoin01/utility/Mining.java
  23. 11
    0
      src/main/resources/application.properties
  24. 16
    0
      src/test/java/com/buecoin01/ApplicationTests.java
  25. 11
    0
      target/classes/application.properties
  26. BIN
      target/classes/com/buecoin01/Application.class
  27. BIN
      target/classes/com/buecoin01/ProcessLoader.class
  28. BIN
      target/classes/com/buecoin01/Repositories/BlockRepository.class
  29. BIN
      target/classes/com/buecoin01/Repositories/CoinRepository.class
  30. BIN
      target/classes/com/buecoin01/Repositories/WalletRepository.class
  31. BIN
      target/classes/com/buecoin01/model/Block.class
  32. BIN
      target/classes/com/buecoin01/model/Blockchain.class
  33. BIN
      target/classes/com/buecoin01/model/Coin.class
  34. BIN
      target/classes/com/buecoin01/model/Wallet.class
  35. BIN
      target/classes/com/buecoin01/utility/Encryption.class
  36. BIN
      target/classes/com/buecoin01/utility/Mining.class
  37. BIN
      target/test-classes/com/buecoin01/ApplicationTests.class

+ 109
- 0
0.1.iml Прегледај датотеку

@@ -0,0 +1,109 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<module org.jetbrains.idea.maven.project.MavenProjectsManager.isMavenModule="true" type="JAVA_MODULE" version="4">
3
+  <component name="FacetManager">
4
+    <facet type="Spring" name="Spring">
5
+      <configuration />
6
+    </facet>
7
+    <facet type="web" name="Web">
8
+      <configuration>
9
+        <webroots />
10
+        <sourceRoots>
11
+          <root url="file://$MODULE_DIR$/src/main/java" />
12
+          <root url="file://$MODULE_DIR$/src/main/resources" />
13
+        </sourceRoots>
14
+      </configuration>
15
+    </facet>
16
+  </component>
17
+  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8">
18
+    <output url="file://$MODULE_DIR$/target/classes" />
19
+    <output-test url="file://$MODULE_DIR$/target/test-classes" />
20
+    <content url="file://$MODULE_DIR$">
21
+      <sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" />
22
+      <sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" />
23
+      <sourceFolder url="file://$MODULE_DIR$/src/test/java" isTestSource="true" />
24
+      <excludeFolder url="file://$MODULE_DIR$/target" />
25
+    </content>
26
+    <orderEntry type="inheritedJdk" />
27
+    <orderEntry type="sourceFolder" forTests="false" />
28
+    <orderEntry type="library" name="Maven: com.bluecatcode.guava:guava-19.0-extended:1.1.0" level="project" />
29
+    <orderEntry type="library" name="Maven: com.google.guava:guava:19.0" level="project" />
30
+    <orderEntry type="library" name="Maven: com.google.code.findbugs:jsr305:3.0.1" level="project" />
31
+    <orderEntry type="library" name="Maven: commons-codec:commons-codec:1.4" level="project" />
32
+    <orderEntry type="library" name="Maven: com.google.code.gson:gson:2.8.5" level="project" />
33
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-data-jpa:2.0.3.RELEASE" level="project" />
34
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter:2.0.3.RELEASE" level="project" />
35
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot:2.0.3.RELEASE" level="project" />
36
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-autoconfigure:2.0.3.RELEASE" level="project" />
37
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-logging:2.0.3.RELEASE" level="project" />
38
+    <orderEntry type="library" name="Maven: ch.qos.logback:logback-classic:1.2.3" level="project" />
39
+    <orderEntry type="library" name="Maven: ch.qos.logback:logback-core:1.2.3" level="project" />
40
+    <orderEntry type="library" name="Maven: org.apache.logging.log4j:log4j-to-slf4j:2.10.0" level="project" />
41
+    <orderEntry type="library" name="Maven: org.apache.logging.log4j:log4j-api:2.10.0" level="project" />
42
+    <orderEntry type="library" name="Maven: org.slf4j:jul-to-slf4j:1.7.25" level="project" />
43
+    <orderEntry type="library" name="Maven: javax.annotation:javax.annotation-api:1.3.2" level="project" />
44
+    <orderEntry type="library" scope="RUNTIME" name="Maven: org.yaml:snakeyaml:1.19" level="project" />
45
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-aop:2.0.3.RELEASE" level="project" />
46
+    <orderEntry type="library" name="Maven: org.springframework:spring-aop:5.0.7.RELEASE" level="project" />
47
+    <orderEntry type="library" name="Maven: org.aspectj:aspectjweaver:1.8.13" level="project" />
48
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-jdbc:2.0.3.RELEASE" level="project" />
49
+    <orderEntry type="library" name="Maven: com.zaxxer:HikariCP:2.7.9" level="project" />
50
+    <orderEntry type="library" name="Maven: org.springframework:spring-jdbc:5.0.7.RELEASE" level="project" />
51
+    <orderEntry type="library" name="Maven: org.hibernate:hibernate-core:5.2.17.Final" level="project" />
52
+    <orderEntry type="library" name="Maven: org.jboss.logging:jboss-logging:3.3.2.Final" level="project" />
53
+    <orderEntry type="library" name="Maven: org.hibernate.javax.persistence:hibernate-jpa-2.1-api:1.0.2.Final" level="project" />
54
+    <orderEntry type="library" name="Maven: org.javassist:javassist:3.22.0-GA" level="project" />
55
+    <orderEntry type="library" name="Maven: antlr:antlr:2.7.7" level="project" />
56
+    <orderEntry type="library" name="Maven: org.jboss:jandex:2.0.3.Final" level="project" />
57
+    <orderEntry type="library" name="Maven: com.fasterxml:classmate:1.3.4" level="project" />
58
+    <orderEntry type="library" name="Maven: dom4j:dom4j:1.6.1" level="project" />
59
+    <orderEntry type="library" name="Maven: org.hibernate.common:hibernate-commons-annotations:5.0.1.Final" level="project" />
60
+    <orderEntry type="library" name="Maven: javax.transaction:javax.transaction-api:1.2" level="project" />
61
+    <orderEntry type="library" name="Maven: org.springframework.data:spring-data-jpa:2.0.8.RELEASE" level="project" />
62
+    <orderEntry type="library" name="Maven: org.springframework.data:spring-data-commons:2.0.8.RELEASE" level="project" />
63
+    <orderEntry type="library" name="Maven: org.springframework:spring-orm:5.0.7.RELEASE" level="project" />
64
+    <orderEntry type="library" name="Maven: org.springframework:spring-context:5.0.7.RELEASE" level="project" />
65
+    <orderEntry type="library" name="Maven: org.springframework:spring-tx:5.0.7.RELEASE" level="project" />
66
+    <orderEntry type="library" name="Maven: org.springframework:spring-beans:5.0.7.RELEASE" level="project" />
67
+    <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.7.25" level="project" />
68
+    <orderEntry type="library" name="Maven: org.springframework:spring-aspects:5.0.7.RELEASE" level="project" />
69
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-web:2.0.3.RELEASE" level="project" />
70
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-json:2.0.3.RELEASE" level="project" />
71
+    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-databind:2.9.6" level="project" />
72
+    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-annotations:2.9.0" level="project" />
73
+    <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-core:2.9.6" level="project" />
74
+    <orderEntry type="library" name="Maven: com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.9.6" level="project" />
75
+    <orderEntry type="library" name="Maven: com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.9.6" level="project" />
76
+    <orderEntry type="library" name="Maven: com.fasterxml.jackson.module:jackson-module-parameter-names:2.9.6" level="project" />
77
+    <orderEntry type="library" name="Maven: org.springframework.boot:spring-boot-starter-tomcat:2.0.3.RELEASE" level="project" />
78
+    <orderEntry type="library" name="Maven: org.apache.tomcat.embed:tomcat-embed-core:8.5.31" level="project" />
79
+    <orderEntry type="library" name="Maven: org.apache.tomcat.embed:tomcat-embed-el:8.5.31" level="project" />
80
+    <orderEntry type="library" name="Maven: org.apache.tomcat.embed:tomcat-embed-websocket:8.5.31" level="project" />
81
+    <orderEntry type="library" name="Maven: org.hibernate.validator:hibernate-validator:6.0.10.Final" level="project" />
82
+    <orderEntry type="library" name="Maven: javax.validation:validation-api:2.0.1.Final" level="project" />
83
+    <orderEntry type="library" name="Maven: org.springframework:spring-web:5.0.7.RELEASE" level="project" />
84
+    <orderEntry type="library" name="Maven: org.springframework:spring-webmvc:5.0.7.RELEASE" level="project" />
85
+    <orderEntry type="library" name="Maven: org.springframework:spring-expression:5.0.7.RELEASE" level="project" />
86
+    <orderEntry type="library" scope="RUNTIME" name="Maven: mysql:mysql-connector-java:5.1.46" level="project" />
87
+    <orderEntry type="library" scope="TEST" name="Maven: org.springframework.boot:spring-boot-starter-test:2.0.3.RELEASE" level="project" />
88
+    <orderEntry type="library" scope="TEST" name="Maven: org.springframework.boot:spring-boot-test:2.0.3.RELEASE" level="project" />
89
+    <orderEntry type="library" scope="TEST" name="Maven: org.springframework.boot:spring-boot-test-autoconfigure:2.0.3.RELEASE" level="project" />
90
+    <orderEntry type="library" scope="TEST" name="Maven: com.jayway.jsonpath:json-path:2.4.0" level="project" />
91
+    <orderEntry type="library" scope="TEST" name="Maven: net.minidev:json-smart:2.3" level="project" />
92
+    <orderEntry type="library" scope="TEST" name="Maven: net.minidev:accessors-smart:1.2" level="project" />
93
+    <orderEntry type="library" scope="TEST" name="Maven: org.ow2.asm:asm:5.0.4" level="project" />
94
+    <orderEntry type="library" scope="TEST" name="Maven: junit:junit:4.12" level="project" />
95
+    <orderEntry type="library" scope="TEST" name="Maven: org.assertj:assertj-core:3.9.1" level="project" />
96
+    <orderEntry type="library" scope="TEST" name="Maven: org.mockito:mockito-core:2.15.0" level="project" />
97
+    <orderEntry type="library" scope="TEST" name="Maven: net.bytebuddy:byte-buddy:1.7.11" level="project" />
98
+    <orderEntry type="library" scope="TEST" name="Maven: net.bytebuddy:byte-buddy-agent:1.7.11" level="project" />
99
+    <orderEntry type="library" scope="TEST" name="Maven: org.objenesis:objenesis:2.6" level="project" />
100
+    <orderEntry type="library" scope="TEST" name="Maven: org.hamcrest:hamcrest-core:1.3" level="project" />
101
+    <orderEntry type="library" scope="TEST" name="Maven: org.hamcrest:hamcrest-library:1.3" level="project" />
102
+    <orderEntry type="library" scope="TEST" name="Maven: org.skyscreamer:jsonassert:1.5.0" level="project" />
103
+    <orderEntry type="library" scope="TEST" name="Maven: com.vaadin.external.google:android-json:0.0.20131108.vaadin1" level="project" />
104
+    <orderEntry type="library" name="Maven: org.springframework:spring-core:5.0.7.RELEASE" level="project" />
105
+    <orderEntry type="library" name="Maven: org.springframework:spring-jcl:5.0.7.RELEASE" level="project" />
106
+    <orderEntry type="library" scope="TEST" name="Maven: org.springframework:spring-test:5.0.7.RELEASE" level="project" />
107
+    <orderEntry type="library" scope="TEST" name="Maven: org.xmlunit:xmlunit-core:2.5.1" level="project" />
108
+  </component>
109
+</module>

+ 2192
- 0
application.log
Разлика између датотеке није приказан због своје велике величине
Прегледај датотеку


+ 225
- 0
mvnw Прегледај датотеку

@@ -0,0 +1,225 @@
1
+#!/bin/sh
2
+# ----------------------------------------------------------------------------
3
+# Licensed to the Apache Software Foundation (ASF) under one
4
+# or more contributor license agreements.  See the NOTICE file
5
+# distributed with this work for additional information
6
+# regarding copyright ownership.  The ASF licenses this file
7
+# to you under the Apache License, Version 2.0 (the
8
+# "License"); you may not use this file except in compliance
9
+# with the License.  You may obtain a copy of the License at
10
+#
11
+#    http://www.apache.org/licenses/LICENSE-2.0
12
+#
13
+# Unless required by applicable law or agreed to in writing,
14
+# software distributed under the License is distributed on an
15
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
16
+# KIND, either express or implied.  See the License for the
17
+# specific language governing permissions and limitations
18
+# under the License.
19
+# ----------------------------------------------------------------------------
20
+
21
+# ----------------------------------------------------------------------------
22
+# Maven2 Start Up Batch script
23
+#
24
+# Required ENV vars:
25
+# ------------------
26
+#   JAVA_HOME - location of a JDK home dir
27
+#
28
+# Optional ENV vars
29
+# -----------------
30
+#   M2_HOME - location of maven2's installed home dir
31
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
32
+#     e.g. to debug Maven itself, use
33
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
34
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
35
+# ----------------------------------------------------------------------------
36
+
37
+if [ -z "$MAVEN_SKIP_RC" ] ; then
38
+
39
+  if [ -f /etc/mavenrc ] ; then
40
+    . /etc/mavenrc
41
+  fi
42
+
43
+  if [ -f "$HOME/.mavenrc" ] ; then
44
+    . "$HOME/.mavenrc"
45
+  fi
46
+
47
+fi
48
+
49
+# OS specific support.  $var _must_ be set to either true or false.
50
+cygwin=false;
51
+darwin=false;
52
+mingw=false
53
+case "`uname`" in
54
+  CYGWIN*) cygwin=true ;;
55
+  MINGW*) mingw=true;;
56
+  Darwin*) darwin=true
57
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
58
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
59
+    if [ -z "$JAVA_HOME" ]; then
60
+      if [ -x "/usr/libexec/java_home" ]; then
61
+        export JAVA_HOME="`/usr/libexec/java_home`"
62
+      else
63
+        export JAVA_HOME="/Library/Java/Home"
64
+      fi
65
+    fi
66
+    ;;
67
+esac
68
+
69
+if [ -z "$JAVA_HOME" ] ; then
70
+  if [ -r /etc/gentoo-release ] ; then
71
+    JAVA_HOME=`java-config --jre-home`
72
+  fi
73
+fi
74
+
75
+if [ -z "$M2_HOME" ] ; then
76
+  ## resolve links - $0 may be a link to maven's home
77
+  PRG="$0"
78
+
79
+  # need this for relative symlinks
80
+  while [ -h "$PRG" ] ; do
81
+    ls=`ls -ld "$PRG"`
82
+    link=`expr "$ls" : '.*-> \(.*\)$'`
83
+    if expr "$link" : '/.*' > /dev/null; then
84
+      PRG="$link"
85
+    else
86
+      PRG="`dirname "$PRG"`/$link"
87
+    fi
88
+  done
89
+
90
+  saveddir=`pwd`
91
+
92
+  M2_HOME=`dirname "$PRG"`/..
93
+
94
+  # make it fully qualified
95
+  M2_HOME=`cd "$M2_HOME" && pwd`
96
+
97
+  cd "$saveddir"
98
+  # echo Using m2 at $M2_HOME
99
+fi
100
+
101
+# For Cygwin, ensure paths are in UNIX format before anything is touched
102
+if $cygwin ; then
103
+  [ -n "$M2_HOME" ] &&
104
+    M2_HOME=`cygpath --unix "$M2_HOME"`
105
+  [ -n "$JAVA_HOME" ] &&
106
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
107
+  [ -n "$CLASSPATH" ] &&
108
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
109
+fi
110
+
111
+# For Migwn, ensure paths are in UNIX format before anything is touched
112
+if $mingw ; then
113
+  [ -n "$M2_HOME" ] &&
114
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
115
+  [ -n "$JAVA_HOME" ] &&
116
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
117
+  # TODO classpath?
118
+fi
119
+
120
+if [ -z "$JAVA_HOME" ]; then
121
+  javaExecutable="`which javac`"
122
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
123
+    # readlink(1) is not available as standard on Solaris 10.
124
+    readLink=`which readlink`
125
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
126
+      if $darwin ; then
127
+        javaHome="`dirname \"$javaExecutable\"`"
128
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
129
+      else
130
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
131
+      fi
132
+      javaHome="`dirname \"$javaExecutable\"`"
133
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
134
+      JAVA_HOME="$javaHome"
135
+      export JAVA_HOME
136
+    fi
137
+  fi
138
+fi
139
+
140
+if [ -z "$JAVACMD" ] ; then
141
+  if [ -n "$JAVA_HOME"  ] ; then
142
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
143
+      # IBM's JDK on AIX uses strange locations for the executables
144
+      JAVACMD="$JAVA_HOME/jre/sh/java"
145
+    else
146
+      JAVACMD="$JAVA_HOME/bin/java"
147
+    fi
148
+  else
149
+    JAVACMD="`which java`"
150
+  fi
151
+fi
152
+
153
+if [ ! -x "$JAVACMD" ] ; then
154
+  echo "Error: JAVA_HOME is not defined correctly." >&2
155
+  echo "  We cannot execute $JAVACMD" >&2
156
+  exit 1
157
+fi
158
+
159
+if [ -z "$JAVA_HOME" ] ; then
160
+  echo "Warning: JAVA_HOME environment variable is not set."
161
+fi
162
+
163
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
164
+
165
+# traverses directory structure from process work directory to filesystem root
166
+# first directory with .mvn subdirectory is considered project base directory
167
+find_maven_basedir() {
168
+
169
+  if [ -z "$1" ]
170
+  then
171
+    echo "Path not specified to find_maven_basedir"
172
+    return 1
173
+  fi
174
+
175
+  basedir="$1"
176
+  wdir="$1"
177
+  while [ "$wdir" != '/' ] ; do
178
+    if [ -d "$wdir"/.mvn ] ; then
179
+      basedir=$wdir
180
+      break
181
+    fi
182
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
183
+    if [ -d "${wdir}" ]; then
184
+      wdir=`cd "$wdir/.."; pwd`
185
+    fi
186
+    # end of workaround
187
+  done
188
+  echo "${basedir}"
189
+}
190
+
191
+# concatenates all lines of a file
192
+concat_lines() {
193
+  if [ -f "$1" ]; then
194
+    echo "$(tr -s '\n' ' ' < "$1")"
195
+  fi
196
+}
197
+
198
+BASE_DIR=`find_maven_basedir "$(pwd)"`
199
+if [ -z "$BASE_DIR" ]; then
200
+  exit 1;
201
+fi
202
+
203
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
204
+echo $MAVEN_PROJECTBASEDIR
205
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
206
+
207
+# For Cygwin, switch paths to Windows format before running java
208
+if $cygwin; then
209
+  [ -n "$M2_HOME" ] &&
210
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
211
+  [ -n "$JAVA_HOME" ] &&
212
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
213
+  [ -n "$CLASSPATH" ] &&
214
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
215
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
216
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
217
+fi
218
+
219
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
220
+
221
+exec "$JAVACMD" \
222
+  $MAVEN_OPTS \
223
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
224
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
225
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 143
- 0
mvnw.cmd Прегледај датотеку

@@ -0,0 +1,143 @@
1
+@REM ----------------------------------------------------------------------------
2
+@REM Licensed to the Apache Software Foundation (ASF) under one
3
+@REM or more contributor license agreements.  See the NOTICE file
4
+@REM distributed with this work for additional information
5
+@REM regarding copyright ownership.  The ASF licenses this file
6
+@REM to you under the Apache License, Version 2.0 (the
7
+@REM "License"); you may not use this file except in compliance
8
+@REM with the License.  You may obtain a copy of the License at
9
+@REM
10
+@REM    http://www.apache.org/licenses/LICENSE-2.0
11
+@REM
12
+@REM Unless required by applicable law or agreed to in writing,
13
+@REM software distributed under the License is distributed on an
14
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
15
+@REM KIND, either express or implied.  See the License for the
16
+@REM specific language governing permissions and limitations
17
+@REM under the License.
18
+@REM ----------------------------------------------------------------------------
19
+
20
+@REM ----------------------------------------------------------------------------
21
+@REM Maven2 Start Up Batch script
22
+@REM
23
+@REM Required ENV vars:
24
+@REM JAVA_HOME - location of a JDK home dir
25
+@REM
26
+@REM Optional ENV vars
27
+@REM M2_HOME - location of maven2's installed home dir
28
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
29
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
30
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
31
+@REM     e.g. to debug Maven itself, use
32
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
33
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
34
+@REM ----------------------------------------------------------------------------
35
+
36
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
37
+@echo off
38
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
39
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
40
+
41
+@REM set %HOME% to equivalent of $HOME
42
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
43
+
44
+@REM Execute a user defined script before this one
45
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
46
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
47
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
48
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
49
+:skipRcPre
50
+
51
+@setlocal
52
+
53
+set ERROR_CODE=0
54
+
55
+@REM To isolate internal variables from possible post scripts, we use another setlocal
56
+@setlocal
57
+
58
+@REM ==== START VALIDATION ====
59
+if not "%JAVA_HOME%" == "" goto OkJHome
60
+
61
+echo.
62
+echo Error: JAVA_HOME not found in your environment. >&2
63
+echo Please set the JAVA_HOME variable in your environment to match the >&2
64
+echo location of your Java installation. >&2
65
+echo.
66
+goto error
67
+
68
+:OkJHome
69
+if exist "%JAVA_HOME%\bin\java.exe" goto init
70
+
71
+echo.
72
+echo Error: JAVA_HOME is set to an invalid directory. >&2
73
+echo JAVA_HOME = "%JAVA_HOME%" >&2
74
+echo Please set the JAVA_HOME variable in your environment to match the >&2
75
+echo location of your Java installation. >&2
76
+echo.
77
+goto error
78
+
79
+@REM ==== END VALIDATION ====
80
+
81
+:init
82
+
83
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
84
+@REM Fallback to current working directory if not found.
85
+
86
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
87
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
88
+
89
+set EXEC_DIR=%CD%
90
+set WDIR=%EXEC_DIR%
91
+:findBaseDir
92
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
93
+cd ..
94
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
95
+set WDIR=%CD%
96
+goto findBaseDir
97
+
98
+:baseDirFound
99
+set MAVEN_PROJECTBASEDIR=%WDIR%
100
+cd "%EXEC_DIR%"
101
+goto endDetectBaseDir
102
+
103
+:baseDirNotFound
104
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
105
+cd "%EXEC_DIR%"
106
+
107
+:endDetectBaseDir
108
+
109
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
110
+
111
+@setlocal EnableExtensions EnableDelayedExpansion
112
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
113
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
114
+
115
+:endReadAdditionalConfig
116
+
117
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
118
+
119
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
120
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
121
+
122
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
123
+if ERRORLEVEL 1 goto error
124
+goto end
125
+
126
+:error
127
+set ERROR_CODE=1
128
+
129
+:end
130
+@endlocal & set ERROR_CODE=%ERROR_CODE%
131
+
132
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
133
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
134
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
135
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
136
+:skipRcPost
137
+
138
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
139
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
140
+
141
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
142
+
143
+exit /B %ERROR_CODE%

+ 74
- 0
pom.xml Прегледај датотеку

@@ -0,0 +1,74 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
3
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
4
+	<modelVersion>4.0.0</modelVersion>
5
+
6
+	<groupId>com.buecoin</groupId>
7
+	<artifactId>0.1</artifactId>
8
+	<version>0.0.1-SNAPSHOT</version>
9
+	<packaging>jar</packaging>
10
+
11
+	<name>0.1</name>
12
+	<description>Demo project for Spring Boot</description>
13
+
14
+	<parent>
15
+		<groupId>org.springframework.boot</groupId>
16
+		<artifactId>spring-boot-starter-parent</artifactId>
17
+		<version>2.0.3.RELEASE</version>
18
+		<relativePath/> <!-- lookup parent from repository -->
19
+	</parent>
20
+
21
+	<properties>
22
+		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
23
+		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
24
+		<java.version>1.8</java.version>
25
+	</properties>
26
+
27
+	<dependencies>
28
+        <dependency>
29
+            <groupId>com.bluecatcode.guava</groupId>
30
+            <artifactId>guava-19.0-extended</artifactId>
31
+            <version>LATEST</version>
32
+        </dependency>
33
+		<!-- https://mvnrepository.com/artifact/commons-codec/commons-codec -->
34
+		<dependency>
35
+			<groupId>commons-codec</groupId>
36
+			<artifactId>commons-codec</artifactId>
37
+			<version>1.4</version>
38
+		</dependency>
39
+		<dependency>
40
+			<groupId>com.google.code.gson</groupId>
41
+			<artifactId>gson</artifactId>
42
+		</dependency>
43
+		<dependency>
44
+			<groupId>org.springframework.boot</groupId>
45
+			<artifactId>spring-boot-starter-data-jpa</artifactId>
46
+		</dependency>
47
+		<dependency>
48
+			<groupId>org.springframework.boot</groupId>
49
+			<artifactId>spring-boot-starter-web</artifactId>
50
+		</dependency>
51
+
52
+		<dependency>
53
+			<groupId>mysql</groupId>
54
+			<artifactId>mysql-connector-java</artifactId>
55
+			<scope>runtime</scope>
56
+		</dependency>
57
+		<dependency>
58
+			<groupId>org.springframework.boot</groupId>
59
+			<artifactId>spring-boot-starter-test</artifactId>
60
+			<scope>test</scope>
61
+		</dependency>
62
+	</dependencies>
63
+
64
+	<build>
65
+		<plugins>
66
+			<plugin>
67
+				<groupId>org.springframework.boot</groupId>
68
+				<artifactId>spring-boot-maven-plugin</artifactId>
69
+			</plugin>
70
+		</plugins>
71
+	</build>
72
+
73
+
74
+</project>


BIN
src/main/.DS_Store Прегледај датотеку


BIN
src/main/java/.DS_Store Прегледај датотеку


BIN
src/main/java/com/.DS_Store Прегледај датотеку


BIN
src/main/java/com/buecoin01/.DS_Store Прегледај датотеку


+ 15
- 0
src/main/java/com/buecoin01/Application.java Прегледај датотеку

@@ -0,0 +1,15 @@
1
+package com.buecoin01;
2
+
3
+import com.buecoin01.model.Block;
4
+import org.springframework.boot.SpringApplication;
5
+import org.springframework.boot.autoconfigure.SpringBootApplication;
6
+
7
+@SpringBootApplication
8
+public class Application {
9
+
10
+	public static void main(String[] args) {
11
+		SpringApplication.run(Application.class, args);
12
+
13
+
14
+	}
15
+}

+ 43
- 0
src/main/java/com/buecoin01/ProcessLoader.java Прегледај датотеку

@@ -0,0 +1,43 @@
1
+package com.buecoin01;
2
+
3
+import com.buecoin01.Repositories.BlockRepository;
4
+import com.buecoin01.Repositories.CoinRepository;
5
+import com.buecoin01.Repositories.WalletRepository;
6
+import com.buecoin01.model.Wallet;
7
+import com.buecoin01.utility.Encryption;
8
+import org.springframework.beans.factory.annotation.Autowired;
9
+import org.springframework.boot.ApplicationArguments;
10
+import org.springframework.boot.ApplicationRunner;
11
+import org.springframework.stereotype.Component;
12
+
13
+@Component
14
+public class ProcessLoader implements ApplicationRunner {
15
+
16
+    @Autowired
17
+    CoinRepository repo;
18
+
19
+    @Autowired
20
+    WalletRepository repo1;
21
+
22
+    @Autowired
23
+    BlockRepository repo3;
24
+
25
+
26
+    @Override
27
+    public void run(ApplicationArguments args) {
28
+        //CREATES COINS TO LOCALHOST DB, PROBABLY NOT GOING TO USE THIS
29
+//        for (int i = 0; i <= 100000; i++) {
30
+//            Coin b = new Coin("6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b");
31
+//            repo.save(b);
32
+//        }
33
+//
34
+        //CREATES 37 EMPTY WALLETS
35
+//        for(int i = 0; i <=37; i++){
36
+//            Wallet n = new Wallet(Encryption.applySha256(Integer.toString(i)), 0);
37
+//        }
38
+//
39
+
40
+
41
+
42
+    }
43
+}

+ 11
- 0
src/main/java/com/buecoin01/Repositories/BlockRepository.java Прегледај датотеку

@@ -0,0 +1,11 @@
1
+package com.buecoin01.Repositories;
2
+
3
+import com.buecoin01.model.Block;
4
+import org.springframework.data.jpa.repository.JpaRepository;
5
+import org.springframework.stereotype.Repository;
6
+import org.springframework.web.bind.annotation.CrossOrigin;
7
+
8
+@Repository
9
+@CrossOrigin(origins = {"http://localhost:8100","http://localhost:8080"})
10
+public interface BlockRepository extends JpaRepository<Block, Long> {
11
+}

+ 12
- 0
src/main/java/com/buecoin01/Repositories/CoinRepository.java Прегледај датотеку

@@ -0,0 +1,12 @@
1
+package com.buecoin01.Repositories;
2
+
3
+
4
+import com.buecoin01.model.Coin;
5
+import org.springframework.data.jpa.repository.JpaRepository;
6
+import org.springframework.stereotype.Repository;
7
+import org.springframework.web.bind.annotation.CrossOrigin;
8
+
9
+@Repository
10
+@CrossOrigin(origins = {"http://localhost:8100","http://localhost:8080"})
11
+public interface CoinRepository extends JpaRepository<Coin, Long> {
12
+}

+ 10
- 0
src/main/java/com/buecoin01/Repositories/WalletRepository.java Прегледај датотеку

@@ -0,0 +1,10 @@
1
+package com.buecoin01.Repositories;
2
+
3
+import com.buecoin01.model.Wallet;
4
+import org.springframework.data.jpa.repository.JpaRepository;
5
+import org.springframework.stereotype.Repository;
6
+import org.springframework.web.bind.annotation.CrossOrigin;
7
+
8
+@Repository
9
+public interface WalletRepository extends JpaRepository<Wallet, Long> {
10
+}

+ 75
- 0
src/main/java/com/buecoin01/model/Block.java Прегледај датотеку

@@ -0,0 +1,75 @@
1
+package com.buecoin01.model;
2
+
3
+
4
+import com.buecoin01.utility.Encryption;
5
+
6
+import javax.persistence.*;
7
+import java.time.LocalDateTime;
8
+
9
+
10
+@Entity
11
+public class Block {
12
+
13
+    private String minerID;
14
+
15
+    @Id
16
+    @Column(name = "id")
17
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
18
+    private long id;
19
+
20
+    @Column
21
+    private String hash;
22
+    private String previousHash;
23
+    private String data;
24
+    private LocalDateTime timeStamp;
25
+    private int nonce;
26
+
27
+    public Block(String previousHash, LocalDateTime time) {
28
+        this.timeStamp = time;
29
+        this.previousHash = previousHash;
30
+    }
31
+
32
+    public String getHash() {
33
+        return hash;
34
+    }
35
+
36
+    public String getPreviousHash() {
37
+        return previousHash;
38
+    }
39
+
40
+    public String getData() {
41
+        return data;
42
+    }
43
+
44
+    public LocalDateTime getTimeStamp() {
45
+        return timeStamp;
46
+    }
47
+
48
+    public String calculateHash() {
49
+        return Encryption.applySha256(
50
+                  previousHash +
51
+                        timeStamp.toString() +
52
+                        Integer.toString(nonce) +
53
+                        data);
54
+    }
55
+
56
+    public long getId() {
57
+        return id;
58
+    }
59
+
60
+    public void setId(long id) {
61
+        this.id = id;
62
+    }
63
+
64
+    public void mineBlock(int difficulty) {
65
+        String target = new String(new char[difficulty]).replace('\0', '0'); //Create a string with difficulty * "0"
66
+        while(!hash.substring( 0, difficulty).equals(target)) {
67
+            nonce ++;
68
+            hash = calculateHash();
69
+            System.out.println(hash);
70
+        }
71
+        System.out.println("Block Mined " + hash);
72
+        System.out.println("You have been awarded 1 Zip!");
73
+        Coin coin = new Coin(minerID);
74
+    }
75
+}

+ 59
- 0
src/main/java/com/buecoin01/model/Blockchain.java Прегледај датотеку

@@ -0,0 +1,59 @@
1
+package com.buecoin01.model;
2
+
3
+import com.buecoin01.model.Block;
4
+import com.buecoin01.utility.Encryption;
5
+import com.google.gson.GsonBuilder;
6
+
7
+import java.util.ArrayList;
8
+import java.util.List;
9
+
10
+public class Blockchain {
11
+    private static List<Block> blockchain = new ArrayList<>();
12
+    private static int difficulty = 5;
13
+
14
+    public String chainToJson() {
15
+        return new GsonBuilder()
16
+                .setPrettyPrinting()
17
+                .create()
18
+                .toJson(blockchain);
19
+    }
20
+
21
+    public static List<Block> getBlockchain() {
22
+        return blockchain;
23
+    }
24
+
25
+    public static void abbBlockToChain(Block block) {
26
+        blockchain.add(block);
27
+    }
28
+
29
+    public static Block getBlockFromChain(int i) {
30
+        return blockchain.get(i);
31
+    }
32
+
33
+    public static int getChainSize() {
34
+        return blockchain.size();
35
+    }
36
+
37
+    public static boolean isChainValid() {
38
+        Block currentBlock;
39
+        Block previousBlock;
40
+        String hashTarget = Encryption.createTarget(difficulty);
41
+        for (int i = 1; i < blockchain.size()-1; i++) {
42
+            currentBlock = blockchain.get(i);
43
+            previousBlock = blockchain.get(i-1);
44
+            if(!currentBlock.getHash().equals(currentBlock.calculateHash())) {
45
+                System.out.println("Current Hashes aren't equal");
46
+                return false;
47
+            }
48
+            if(!previousBlock.getHash().equals(currentBlock.getPreviousHash())) {
49
+                System.out.println("Previous Hashes aren't equal");
50
+                return false;
51
+            }
52
+            if (!currentBlock.getHash().substring(0, difficulty).equals(hashTarget)) {
53
+                System.out.println("This block hasn't been mined");
54
+                return false;
55
+            }
56
+        }
57
+        return true;
58
+    }
59
+}

+ 34
- 0
src/main/java/com/buecoin01/model/Coin.java Прегледај датотеку

@@ -0,0 +1,34 @@
1
+package com.buecoin01.model;
2
+
3
+import javax.persistence.*;
4
+
5
+@Entity
6
+public class Coin {
7
+    @Id
8
+    @Column(name = "id")
9
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
10
+    private long id;
11
+
12
+    @Column(name = "owner")
13
+    private String publicId;
14
+
15
+    public Coin(String publicId) {
16
+        this.publicId = publicId;
17
+    }
18
+
19
+    public long getId() {
20
+        return id;
21
+    }
22
+
23
+    public void setId(long id) {
24
+        this.id = id;
25
+    }
26
+
27
+    public String getPublicId() {
28
+        return publicId;
29
+    }
30
+
31
+    public void setPublicId(String publicId) {
32
+        this.publicId = publicId;
33
+    }
34
+}

+ 51
- 0
src/main/java/com/buecoin01/model/Wallet.java Прегледај датотеку

@@ -0,0 +1,51 @@
1
+package com.buecoin01.model;
2
+
3
+import javax.persistence.*;
4
+
5
+@Entity
6
+public class Wallet {
7
+    @Id
8
+    @Column(name = "id")
9
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
10
+    private long id;
11
+
12
+    @Column(name = "pubicId")
13
+    private String publicId;
14
+    @Column(name = "amount")
15
+    private long amount;
16
+
17
+
18
+    public Wallet(String publicId, long amount) {
19
+        this.publicId = publicId;
20
+        this.amount = amount;
21
+    }
22
+
23
+    public Wallet() {
24
+
25
+    }
26
+    public long getAmount() {
27
+        return amount;
28
+    }
29
+
30
+    public void setAmount(long amount) {
31
+        this.amount = amount;
32
+    }
33
+
34
+
35
+    public String getPublicId() {
36
+
37
+        return publicId;
38
+    }
39
+
40
+    public void setPublicId(String publicId) {
41
+        this.publicId = publicId;
42
+    }
43
+
44
+    public long getId() {
45
+        return id;
46
+    }
47
+
48
+    public void setId(long id) {
49
+        this.id = id;
50
+    }
51
+}

+ 17
- 0
src/main/java/com/buecoin01/utility/Encryption.java Прегледај датотеку

@@ -0,0 +1,17 @@
1
+package com.buecoin01.utility;
2
+
3
+import com.google.common.hash.Hashing;
4
+
5
+import java.nio.charset.StandardCharsets;
6
+
7
+public class Encryption {
8
+    public static String applySha256(String input) {
9
+        return Hashing.sha256()
10
+                .hashString(input, StandardCharsets.UTF_8)
11
+                .toString();
12
+    }
13
+
14
+    public static String createTarget(int difficulty) {
15
+        return new String(new char[difficulty]).replace('\0', '0');
16
+    }
17
+}

+ 34
- 0
src/main/java/com/buecoin01/utility/Mining.java Прегледај датотеку

@@ -0,0 +1,34 @@
1
+package com.buecoin01.utility;
2
+
3
+public class Mining {
4
+
5
+    public static void main(String[] args) {
6
+        String prevHash = "";
7
+        String block = "";
8
+        String data = "";
9
+        Mining test = new Mining();
10
+        test.mine(prevHash, block, data);
11
+    }
12
+
13
+    public String hash(String string) {
14
+        String hashed = org.apache.commons.codec.digest.DigestUtils.sha256Hex(string);
15
+        return hashed;
16
+    }
17
+
18
+    public void mine(String prevHash, String block, String data) {
19
+        int nonce = 0;
20
+        boolean mined = false;
21
+        while (mined == false) {
22
+            String newHash = hash(prevHash + block + data + Integer.toString(nonce));
23
+            System.out.println(newHash);
24
+            if (newHash.startsWith("00000")) {
25
+                mined = true;
26
+            } else {
27
+                nonce++;
28
+            }
29
+        }
30
+        System.out.println(nonce);
31
+
32
+    }
33
+}
34
+

+ 11
- 0
src/main/resources/application.properties Прегледај датотеку

@@ -0,0 +1,11 @@
1
+spring.jpa.hibernate.ddl-auto=update
2
+spring.datasource.url=jdbc:mysql://localhost:3306/bluecoin?useSSL=false
3
+spring.datasource.username=root
4
+spring.datasource.password=
5
+spring.datasource.driver-class-name=com.mysql.jdbc.Driver
6
+spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect
7
+spring.datasource.testWhileIdle = true
8
+spring.datasource.validationQuery = SELECT 1
9
+
10
+
11
+logging.file= ./application.log

+ 16
- 0
src/test/java/com/buecoin01/ApplicationTests.java Прегледај датотеку

@@ -0,0 +1,16 @@
1
+package com.buecoin01;
2
+
3
+import org.junit.Test;
4
+import org.junit.runner.RunWith;
5
+import org.springframework.boot.test.context.SpringBootTest;
6
+import org.springframework.test.context.junit4.SpringRunner;
7
+
8
+@RunWith(SpringRunner.class)
9
+@SpringBootTest
10
+public class ApplicationTests {
11
+
12
+	@Test
13
+	public void contextLoads() {
14
+	}
15
+
16
+}

+ 11
- 0
target/classes/application.properties Прегледај датотеку

@@ -0,0 +1,11 @@
1
+spring.jpa.hibernate.ddl-auto=update
2
+spring.datasource.url=jdbc:mysql://localhost:3306/bluecoin?useSSL=false
3
+spring.datasource.username=root
4
+spring.datasource.password=
5
+spring.datasource.driver-class-name=com.mysql.jdbc.Driver
6
+spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect
7
+spring.datasource.testWhileIdle = true
8
+spring.datasource.validationQuery = SELECT 1
9
+
10
+
11
+logging.file= ./application.log

BIN
target/classes/com/buecoin01/Application.class Прегледај датотеку


BIN
target/classes/com/buecoin01/ProcessLoader.class Прегледај датотеку


BIN
target/classes/com/buecoin01/Repositories/BlockRepository.class Прегледај датотеку


BIN
target/classes/com/buecoin01/Repositories/CoinRepository.class Прегледај датотеку


BIN
target/classes/com/buecoin01/Repositories/WalletRepository.class Прегледај датотеку


BIN
target/classes/com/buecoin01/model/Block.class Прегледај датотеку


BIN
target/classes/com/buecoin01/model/Blockchain.class Прегледај датотеку


BIN
target/classes/com/buecoin01/model/Coin.class Прегледај датотеку


BIN
target/classes/com/buecoin01/model/Wallet.class Прегледај датотеку


BIN
target/classes/com/buecoin01/utility/Encryption.class Прегледај датотеку


BIN
target/classes/com/buecoin01/utility/Mining.class Прегледај датотеку


BIN
target/test-classes/com/buecoin01/ApplicationTests.class Прегледај датотеку